import logging

logger = logging.getLogger(__name__)
logger.setLevel(logging.DEBUG)
fileHandler = logging.FileHandler('dziennik.log')
fileHandler.setLevel(logging.DEBUG)
logger.addHandler(fileHandler)
formatter = logging.Formatter('%(asctime)s - %(name)s - %(levelname)s - %(message)s')
fileHandler.setFormatter(formatter)
logger.addHandler(fileHandler)
logger.debug('Komunikat diagnostyczny')
logger.info('Informacja')
logger.warning('Ostrzeżenie')
logger.error('Błąd')
logger.critical('Błąd krytyczny')